Bug 121704 - [GTK] Enable the Wayland target if GTK+ dependency is found
Summary: [GTK] Enable the Wayland target if GTK+ dependency is found
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on: 121703 121787
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 12:33 PDT by Zan Dobersek
Modified: 2013-09-24 06:13 PDT (History)
2 users (show)

See Also:


Attachments
Patch (4.03 KB, patch)
2013-09-20 12:40 PDT, Zan Dobersek
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-09-20 12:33:49 PDT
[GTK] Enable the Wayland target if GTK+ dependency is found
Comment 1 Zan Dobersek 2013-09-20 12:34:47 PDT
Analogous to r155899 which was only applied to the 2.2 branch.
http://trac.webkit.org/changeset/155899
Comment 2 Zan Dobersek 2013-09-20 12:40:46 PDT
Created attachment 212208 [details]
Patch
Comment 3 Gustavo Noronha (kov) 2013-09-23 05:47:41 PDT
Comment on attachment 212208 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=212208&action=review

> Source/autotools/Versions.m4:20
> +m4_define([gtk3_wayland_required_version], [3.9.14])

Is this satisfied by the jhbuild-wayland.modules we added? If not, mind bumping the version there? I think it would make sense.
Comment 4 Zan Dobersek 2013-09-23 07:34:08 PDT
Comment on attachment 212208 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=212208&action=review

>> Source/autotools/Versions.m4:20
>> +m4_define([gtk3_wayland_required_version], [3.9.14])
> 
> Is this satisfied by the jhbuild-wayland.modules we added? If not, mind bumping the version there? I think it would make sense.

Sure, bug #121787. Mind if I bump to 3.9.16 and set that version as a requirement here? That's what I've been using for the past week since it's provided by the GNOME3 ppa.
Comment 5 Zan Dobersek 2013-09-24 06:13:24 PDT
Committed r156328: <http://trac.webkit.org/changeset/156328>